@keyframes heartbeat {
  from{
    opacity: 0.5;
  }
  to {
    opacity: 1;
  }
}

#ping{
  display: block;
}

.ping{
  display: inline-block;
  background: #FAA600;
  width: 0.5em;
  height: 0.5em;
  border-radius: 0.25em;
  margin: 0.2em;

  animation: 1s ease-in-out 0s infinite alternate heartbeat;

  &[data-state="success"]{
    background: #2a9c00;
  }

  &[data-state="error"]{
    background: firebrick;
  }
}